Bug 981819 - fedup seems hung during download from slow mirror
Summary: fedup seems hung during download from slow mirror
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-06 01:21 UTC by Alex G.
Modified: 2013-12-22 05:34 UTC (History)
5 users (show)

Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 07:22:24 UTC


Attachments (Terms of Use)
fedup console output (449.37 KB, text/plain)
2013-07-06 01:21 UTC, Alex G.
no flags Details
/var/log/fedup.log after fedup exits (1.61 MB, text/plain)
2013-07-06 01:22 UTC, Alex G.
no flags Details

Description Alex G. 2013-07-06 01:21:52 UTC
Created attachment 769458 [details]
fedup console output

Description of problem:
When launching fedup in preparation of an update, after it downloads the packages, it hangs for a very long while with no advance warning, no console output, and verry little or no IO activity from fedup, or other processes.

I almost interrupted it if it weren't for people on #fedora-devel rushing me to leave it alone.

Version-Release number of selected component (if applicable):
fedup-0.7.3-4.fc18.noarch


How reproducible:
Only tried once.

Steps to Reproduce:
1. # fedup --network 19

Actual results:

fedup downloads packages, then does nothing for over an hour. After the long wait, it exits gracefully.


Expected results:

fedup warns that the next transaction may take a long time and cautions the user against interrupting fedup.


Additional info:
NA

Comment 1 Alex G. 2013-07-06 01:22:34 UTC
Created attachment 769459 [details]
/var/log/fedup.log after fedup exits

Comment 2 Will Woods 2013-07-08 16:39:50 UTC
So, your log says:

[    78.545] (II) fedup.yum:download_packages() beginning package download...
[  5032.012] (DD) fedup.upgrade:openpipe() creating log pipe

It seems like it was downloading packages for about 1hr 20min. Which is not unexpected.

You said "after it downloads the packages, it hangs for a very long while" - does this mean it showed output while it was downloading packages? How many packages were downloaded? About how long did it take to download them?

Comment 3 Alex G. 2013-07-08 16:52:57 UTC
The console output says that:

xorg-x11-drv-nvidia-304xx-libs-304.88-5.fc19.i686.rpm |  22 MB  00:02:56     
Coin2-2.5.0-18.fc19.x86_64.rpm | 1.8 MB  01:09:07  

In-between the xorg-x11-drv-nvidia-304xx-libs and the Coin2 lines, there was no output for over an hour. I had assumed package download was completed at this time (after the nvidia line), as there was no indication of a timeout or anything that would explain the hour-long gap.

To reach the nvidia line, it took about 20 to 30 minutes, with consistent console output throughout this entire time. There were about 3600 packages.

Comment 4 Will Woods 2013-07-08 17:59:19 UTC
According to that, it took an hour to download Coin2. The most likely explanation is that you got a very, very, *very* slow mirror.

It'd probably be better if fedup used the same console output as yum - or at least showed current download speed and/or ETA, so you have some idea what's happening if you get a very, very, very slow mirror.

Comment 5 Alex G. 2013-07-08 18:02:45 UTC
(In reply to Will Woods from comment #4)
> It'd probably be better if fedup used the same console output as yum - or at
> least showed current download speed and/or ETA, so you have some idea what's
> happening if you get a very, very, very slow mirror.

Yes. This would be an excellent solution.

Comment 6 markusN 2013-08-01 07:38:55 UTC
(In reply to Alex G. from comment #5)
> (In reply to Will Woods from comment #4)
> > It'd probably be better if fedup used the same console output as yum - or at
> > least showed current download speed and/or ETA, so you have some idea what's
> > happening if you get a very, very, very slow mirror.
> 
> Yes. This would be an excellent solution.

FWIW: this wish is listed here:
https://github.com/wgwoods/fedup/blob/0f85c2b1d56130485b5648d1652f6731009ca0ba/TODO.asciidoc

(ordered by priority, roughly)
Logging
 - Log the disk layout (lvs, pvs, blkid, fstab, mounts) in debug log
 - Use yum’s console output for downloads (see bug #981819)
    - Or at least show download speed / ETA

Comment 7 Will Woods 2013-12-06 21:59:27 UTC
fedup-0.8.0 should use the exact same progress output as yum, as mentioned in comment #4.

Comment 8 Fedora Update System 2013-12-11 22:12:26 UTC
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19

Comment 9 Fedora Update System 2013-12-11 22:20:40 UTC
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20

Comment 10 Fedora Update System 2013-12-11 22:22:29 UTC
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18

Comment 11 Fedora Update System 2013-12-13 05:09:54 UTC
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-12-19 07:22:24 UTC
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-12-20 01:44:46 UTC
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-22 05:34:53 UTC
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.